using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicContracts.BindingModels;
using VetClinicContracts.SearchModels;
using VetClinicContracts.ViewModels;

namespace VetClinicContracts.StoragesContracts
{
	public interface IMedicineStorage
	{
		List<MedicineViewModel> GetFullList();
		List<MedicineViewModel> GetFilteredList(MedicineSearchModel model);
		MedicineViewModel? GetElement(MedicineSearchModel model);
		MedicineViewModel? Insert(MedicineBindingModel model);
		MedicineViewModel? Update(MedicineBindingModel model);
		MedicineViewModel? Delete(MedicineBindingModel model);
	}
}
